org.apache.flume.thrift

## Interface ThriftSourceProtocol.Iface

- All Known Implementing Classes:
    ThriftSourceProtocol.Client
  Enclosing class:
    ThriftSourceProtocol

      public static interface ThriftSourceProtocol.Iface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Status` | `append(ThriftFlumeEvent event)`
    `Status` | `appendBatch(List<ThriftFlumeEvent> events)`

- - ### Method Detail

    - #### append

          Status append(ThriftFlumeEvent event)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### appendBatch

          Status appendBatch(List<ThriftFlumeEvent> events)
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.